# GET /whatsapp/conversations

**Resource:** [WhatsApp](./whatsapp.md)  
**MCP tool:** `list_whatsapp_conversations`  
**Scopes:** `whatsapp:read`  
**Write operation:** no

List WhatsApp 1:1 conversations in the workspace inbox. Supports filtering by external_phone_number and unread.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `limit` | query | number | no |  |
| `after` | query | string | no |  |
| `external_phone_number` | query | string | no |  |
| `unread` | query | boolean | no |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/whatsapp/conversations"   -H "Authorization: Bearer YOUR_API_KEY"
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`